Altibase.jdbc.driver

## Class AbstractConnection

- java.lang.Object
- - Altibase.jdbc.driver.WrapperAdapter
  - - Altibase.jdbc.driver.AbstractConnection

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.Connection, java.sql.Wrapper

Direct Known Subclasses:
  AltibaseConnection, AltibaseLogicalConnection

    public abstract class AbstractConnection
    extends WrapperAdapter
    implements java.sql.Connection

java.sql.Connection 인터페이스 중 구현하지 않는 인터페이스를 정의한다.

### Field Summary

Fields
`protected boolean` `mIsClosed`

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractConnection()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.sql.Array` `createArrayOf(java.lang.String aTypeName, java.lang.Object[] aElements)`
`java.sql.Blob` `createBlob()`
`java.sql.Clob` `createClob()`
`java.sql.NClob` `createNClob()`
`java.sql.SQLXML` `createSQLXML()`
`java.sql.Struct` `createStruct(java.lang.String aTypeName, java.lang.Object[] aAttributes)`
`java.lang.String` `getSchema()`
`void` `setSchema(java.lang.String aSchema)`

### Methods inherited from class Altibase.jdbc.driver.WrapperAdapter

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Connection

`abort, clearWarnings, close, commit, createStatement, createStatement, createStatement, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setTransactionIsolation, setTypeMap`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### mIsClosed

    protected boolean mIsClosed

### Constructor Detail

#### AbstractConnection

    public AbstractConnection()

### Method Detail

#### createClob

    public java.sql.Clob createClob()
                             throws java.sql.SQLException

Specified by:
  `createClob` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createBlob

    public java.sql.Blob createBlob()
                             throws java.sql.SQLException

Specified by:
  `createBlob` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setSchema

    public void setSchema(java.lang.String aSchema)
                   throws java.sql.SQLException

Specified by:
  `setSchema` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getSchema

    public java.lang.String getSchema()
                               throws java.sql.SQLException

Specified by:
  `getSchema` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createNClob

    public java.sql.NClob createNClob()
                               throws java.sql.SQLException

Specified by:
  `createNClob` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createSQLXML

    public java.sql.SQLXML createSQLXML()
                                 throws java.sql.SQLException

Specified by:
  `createSQLXML` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createArrayOf

    public java.sql.Array createArrayOf(java.lang.String aTypeName,
                                        java.lang.Object[] aElements)
                                 throws java.sql.SQLException

Specified by:
  `createArrayOf` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createStruct

    public java.sql.Struct createStruct(java.lang.String aTypeName,
                                        java.lang.Object[] aAttributes)
                                 throws java.sql.SQLException

Specified by:
  `createStruct` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`